Update a knowledge item by IDCopy Pagepatch https://api.jasper.ai/v1/knowledge/{knowledgeId}Update an existing knowledge item by IDPath ParamsknowledgeIdstringrequiredThe Knowledge's unique IDBody ParamsnamestringThe friendly name of the Knowledge item. Up to 100 characters.filefileThe file containing content you want to create a Knowledge item from. Supported file types are .txt, .pdf, .doc, .docx, .pptx, .mp3, .wav, .m4a, .aac, .mp4, .mov, .csv, .xlsx, .xls, .png, .jpeg, .jpg, .md, up to 300MB (or 2GB for video files).metadatajsonSet of key-value pairs for storing additional structured information.settingsjsonDefaults to {"appVisibility": "visible", "autoSummary": true}Additional configuration options.{"appVisibility": "visible", "autoSummary": true}summarystringThe manually created Knowledge item summary.tagsarray of stringsThe tags associated with the Knowledge item. Tags are searchable via the Jasper app.tagsADD stringResponses 200Update an existing Knowledge 400Bad request. May be missing required fields or may have badly formatted inputs or options. 404Not found. May have an incorrect URL path or Knowledge ID. 500Internal server error. Unable to update Knowledge by ID.Updated 22 days ago